org.labkey.remoteapi.di

## Class RunTransformCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<ResponseType>
    - - org.labkey.remoteapi.di.BaseTransformCommand<RunTransformResponse>
      - - org.labkey.remoteapi.di.RunTransformCommand

-     public class RunTransformCommand
      extends BaseTransformCommand<RunTransformResponse>

  User: tgaluhn Date: 10/29/13

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.di.BaseTransformCommand

      `_transformId`

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunTransformCommand(RunTransformCommand source)`
    `RunTransformCommand(java.lang.String transformId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RunTransformResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

    - ### Methods inherited from class org.labkey.remoteapi.di.BaseTransformCommand

      `getJsonObject, getTransformId, setTransformId`

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `copy, createRequest, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunTransformCommand

          public RunTransformCommand(RunTransformCommand source)

    - #### RunTransformCommand

          public RunTransformCommand(java.lang.String transformId)

      Parameters:
        `transformId` - the name of the transform to run

  - ### Method Detail

    - #### createResponse

          protected RunTransformResponse createResponse(java.lang.String text,
                                                        int status,
                                                        java.lang.String contentType,
                                                        org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<RunTransformResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.